Subject: Re: DLL rebase required?
From: Jason Tishler <[email-masked]>
To: Maarten Boekhold <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Wed, 6 Oct 2004 06:17:07 -0400

Maarten,

Please post instead of sending private email.

On Wed, Oct 06, 2004 at 01:10:53PM +0400, Maarten Boekhold wrote:
> I wanted to run this by you before I hose my system with a potentially
> unnecessary rebaseall...
> 
> I'm porting XFCE to cygwin/X, most of it is running perfectly now. One
> of the executables loads plugins (g_module_open etc.), and it fails on
> two of the plugins with:
> 
>         dlopen, Win32 error 193
> 
> Some of the references to this I found in google suggest I need to run
> rebaseall to fix this. However, your README for rebase implies that:
> 
> 1) there will be a fairly specific error message if rebase is required
> (eg "unable to remap C:\cygwin\bin\cygssl.dll to same address as
> parent")
> 2) it is only relevant for fork(), and this executable doesn't fork...
> 
> Do you think a rebase would help

No, because we have the following:

    $ fgrep 193L /usr/include/w32api/winerror.h 
    #define ERROR_BAD_EXE_FORMAT 193L

> or should I look for the solution somewhere else?

Yes, it sounds like a build problem.

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/